#ifndef RPCALARM_THREAD_H
#define RPCALARM_THREAD_H

#include <omnithread.h>
#include "RPC2TangoBridge.h"

class RPC2TangoBridge;

namespace RPC2TangoBridge_ns
{

class RPC2TangoBridgeThread : public omni_thread
{
	public:
	  	RPC2TangoBridgeThread(RPC2TangoBridge* parent);
		void StartUndetached() { start_undetached(); }
		void stop_loop();
		~RPC2TangoBridgeThread();
	
	private:
		void* run_undetached(void *arg);
		RPC2TangoBridge *tango_server;
		
};

}

#endif
