#ifndef RPC_WHANDLE_H
#define RPC_WHANDLE_H

#include <iostream>
#include <omnithread.h>
#include <vector>
#include <lpc.h>
#include "RpcHandle.h"

#define RPCSPLITLEN     32

using namespace std;

namespace RPC2TangoBridge_ns
{


class RPCWriteHandle : public RPCHandle
{
	public: 
		RPCWriteHandle(RPCHandle *h);
		~RPCWriteHandle();

		bool write_long(const char *callname, idl_long_int lvalue);
		bool write_double(const char *callname, double dvalue);
		bool write_short(const char *callname, idl_short_int svalue);
		bool write_boolean(const char *callname, bool bval);
		bool write_string(const char *callname, char **string);
        bool write_void(const char *callname);

	
	private:

};



} /* namespace RPC2TangoBridge_ns ends */


#endif


